Bug 248050 - login.krb5 incorrectly warns about missing home directories on NFS if root-squashing is enabled
login.krb5 incorrectly warns about missing home directories on NFS if root-sq...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5 (Show other bugs)
5.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-12 16:08 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHEA-2007-0893
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:36:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2007-07-12 16:08:58 EDT
The login.krb5 binary (used by Kerberos's rlogind and telnetd) attempts to
chdir() to the user's home directory to verify it exists, and issues a warning
if it fails, instead starting the user's session from the root directory.

Problem: it does this before it drops privileges, so if the user's home
directory is mounted over NFS with root squashing enabled, it fails even though
the user is perfectly able to access her home directory after logging in.
Comment 2 Daniel Riek 2007-07-12 16:47:18 EDT
PM ACK and raising prio to high
Comment 11 errata-xmlrpc 2007-11-07 11:36:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0893.html

Note You need to log in before you can comment on or make changes to this bug.